import type { ComponentSize } from '../..';
import type { ButtonType, ButtonNative } from './src/interface';
import type { DefineComponent, PropType, Ref, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Button from "./src/button";
export declare const FzButton: Install<DefineComponent<{
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly type: {
        readonly type: PropType<ButtonType>;
        readonly default: "";
    };
    readonly nativeType: {
        readonly type: PropType<ButtonNative>;
        readonly default: "button";
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly color: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly icon: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly loading: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly plain: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly round: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly circle: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly autoInsertSpace: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
}, {
    buttonRef: Ref<any>;
    shouldAddSpace: ComputedRef<boolean>;
    buttonType: ComputedRef<ButtonType>;
    buttonSize: ComputedRef<ComponentSize>;
    buttonDisabled: ComputedRef<boolean>;
    buttonStyle: ComputedRef<{}>;
    handleClick: (evt: MouseEvent) => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    click: (evt: MouseEvent) => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly type: {
        readonly type: PropType<ButtonType>;
        readonly default: "";
    };
    readonly nativeType: {
        readonly type: PropType<ButtonNative>;
        readonly default: "button";
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly color: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly icon: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly loading: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly plain: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly round: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly circle: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly autoInsertSpace: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
}>> & {
    onClick?: ((evt: MouseEvent) => any) | undefined;
}, {
    readonly size: ComponentSize;
    readonly type: ButtonType;
    readonly nativeType: ButtonNative;
    readonly disabled: boolean;
    readonly color: string;
    readonly icon: string;
    readonly loading: boolean;
    readonly plain: boolean;
    readonly round: boolean;
    readonly circle: boolean;
    readonly autofocus: boolean;
    readonly autoInsertSpace: boolean;
}, {}>>;
/** button 组件实例类型 */
export type ButtonInstance = InstanceType<typeof Button>;
export * from './src/interface';
export default FzButton;
